import HellbornItemSheet from "./base-item-sheet.mjs"

export default class HellbornRitualSheet extends HellbornItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["ritual"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["ritual-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-hellborn/templates/ritual.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    return context
  }
}
